%define with_gcj_support 0
Name:          tanukiwrapper
Version:       3.2.3
Release:       %mkrel 3
Summary:       Java Service Wrapper
Group:         Development/Java
License:       BSD, GPL
Url:           http://wrapper.tanukisoftware.com/
Source0:       http://wrapper.tanukisoftware.org/download/3.2.3/wrapper_3.2.3_src.tar.gz
Source1:       tanukiwrapper-template.pom
Patch0:        tanukiwrapper-3.2.3-build.patch
Patch1:        tanukiwrapper-3.2.3-crosslink.patch
Patch2:        tanukiwrapper-3.2.3-Makefile-linux-x86-32.patch
Patch3:        tanukiwrapper-3.2.3-Makefile-linux-x86-64.patch
Patch4:        tanukiwrapper-Makefile-s390-s390x-ppc.patch
Patch5:        tanukiwrapper-3.2.3-nosun-jvm-64.patch
Patch6:        tanukiwrapper-3.2.3-logger.patch
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: glibc-devel
BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: jpackage-utils
Requires:      jpackage-utils


%description
The Java Service Wrapper is an application which has
evolved out of a desire to solve a number of problems
common to many Java applications:
- Run as a Windows Service or Unix Daemon
- Application Reliability
- Standard, Out of the Box Scripting
- On Demand Restarts
- Flexible Configuration
- Ease Application installations
- Logging

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Tanuki Java Service Wrapper.

This package contains javadoc for %{name}

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
Tanuki Java Service Wrapper.

This package contains documents for %{name}

%prep
%setup -q -n wrapper_%{version}_src

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4
%if %with_gcj_support 
%patch5 -p1
%endif
%patch6 -p0

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

%{__perl} -p -i -e 's/\r//' doc/AUTHORS
%{__perl} -p -i -e 's|-O3|%optflags|' src/c/Makefile*
%{__perl} -p -e \
 's|=\.\./lib/wrapper\.jar$|=%{_javadir}/tanukiwrapper.jar| ;
  s|=\.\./lib$|=%{_libdir}|' \
 src/conf/wrapper.conf.in > wrapper.conf.sample
%{__perl} -p -e \
 's|"\./wrapper"|"%{_sbindir}/tanukiwrapper"| ;
  s|"\.\./conf/wrapper\.conf"|"/path/to/wrapper.conf"|' \
 src/bin/sh.script.in > script.sh.sample

%build

export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=$(build-classpath junit xerces-j2 xml-commons-apis ant)
%ifarch x86_64 ia64 ppc64 sparc64 s390x
bits=64
%else
bits=32
%endif
ant \
  -Dbuild.sysclasspath=first \
  -Djdk.api=%{_javadocdir}/java \
  -Dbits=$bits \
  main jdoc

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 lib/wrapper.jar %{buildroot}%{_javadir}/tanukiwrapper.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|<version>@VERSION@|<version>%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_libdir}
install -pm 755 lib/libwrapper.so %{buildroot}%{_libdir}

mkdir -p %{buildroot}%{_sbindir}
install -pm 755 bin/wrapper %{buildroot}%{_sbindir}/tanukiwrapper

mkdir -p %{buildroot}%{_javadocdir}/tanuki-wrapper
cp -a jdoc/* %{buildroot}%{_javadocdir}/tanuki-wrapper

%if %with_gcj_support
%{_bindir}/aot-compile-rpm
%endif

%if %with_gcj_support
%post
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
 %{_bindir}/rebuild-gcj-db
fi
%endif

%if %with_gcj_support
%postun
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
 %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(-,root,root)
%{_libdir}/libwrapper.so
%{_sbindir}/tanukiwrapper
%{_javadir}/tanukiwrapper.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%if %with_gcj_support
%{_libdir}/gcj/tanukiwrapper/tanukiwrapper-%{version}.jar.*
%endif
%doc doc/license.txt *.sample

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/tanuki-wrapper ] && \
rm -rf $(readlink -f %{_javadocdir}/tanuki-wrapper) %{_javadocdir}/tanuki-wrapper || :

%files javadoc
%{_javadocdir}/tanuki-wrapper

%files manual
%doc doc/*



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.2.3-3.mga4
+ Revision: 519528
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.2.3-2.mga3
+ Revision: 384037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 gil <gil> 3.2.3-1.mga2
+ Revision: 217637
- fix groups
- remove BR ant-nodeps
- build fix
- adapt to current guideline
- add m2 pom

* Sun Jun 26 2011 gil <gil> 3.2.3-0.mga2
+ Revision: 113906
- imported package tanukiwrapper


* Sun Jun 26 2011 gil <gil> 3.2.3-0.%%mkrel
- initial rpm